using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using Telerik.Windows.Data;

namespace Treelistview_Self_Hierarchy
{
	public class MyData
	{
		public int ID { get; set; }

		public int? ParentID { get; set; }

		public string Text { get; set; }

		public MyData(int id, int? parentId, string text)
		{
			this.ID = id;
			this.ParentID = parentId;
			this.Text = text;
		}

		private RadObservableCollection<MyData> children;
		public RadObservableCollection<MyData> Children
		{
			get
			{
				if (this.children == null)
				{
					this.children = new RadObservableCollection<MyData>();
				}
				return this.children;
			}
			set
			{
				this.children = value;
			}
		}
		
	}
}
