﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;

namespace Treelistview_Self_Hierarchy
{
	public class MyViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;
		
		private List<MyData> allData;
 
		public List<MyData> AllData
		{
			get
			{
				if (this.allData == null)
				{
					this.allData = new List<MyData>()
					{
						new MyData(1, null, "root 1"),
						new MyData(2, null, "root 2"),
						new MyData(3, 1, "child 1"),
						new MyData(4, 3, "child 1.1"),
						new MyData(5, 2, "child 2"),
					};
				}
				return this.allData;
			}
		}

		public List<MyData> RootItems
		{
			get
			{
				return this.AllData.Where(d => d.ParentID == null).ToList();
			}
		}
	}	
}
